Subject: bug#812: [devuan-dev] bug#812: Firmware is not found by kernel anymore as it is moved to /usr

From: Svante Signell <[email-masked]>
Date: Wed, 06 Dec 2023 19:57:29 +0100

On Wed, 2023-12-06 at 18:27 +0100, Klaus Ethgen wrote:
> Hi Svante,
> 
> Am Mi den  6. Dez 2023 um 17:55 schrieb Svante Signell:
> > Seems like the simple solution to firmware files moved from /lib to /usr/lib
> > is to modify the eudev (udev) rule to search both in /lib and /usr/lib.
> 
> That do not work as at boot time, /usr is not always available.
> 

Hi Klaus,

Then you have /usr on a different partition, and you need an initrd to fix that.
That problem is separate from eudev searching for files in /lib and /usr/lib.

> > I have not yet found out which program/rule does the actual installation of
> > these firmware files. Maybe you know?
> 
> Yes, it is in the rules file. it includes dh_movetousr when available.
> The firmware itself installs to /lib and that command does explicitly
> destroy the package.

I did not mean the debian/rules file of firmware-realtek, sorry.

I saw the usage of dh_movetousr in that package in debian/rules, yes. However as
long as the eudev rule file searches both /lib and /usr/lib and you don't have
/usr on a separate partition, you'll be fine (or use an initrd as mentioned
above)

Thanks!